Doomsday Engine - Bug #1951

Soundfont picker GUI not limited to soundfont files
2015-01-27 10:24 - vermil

Status: Closed Start date: 2015-01-27
Priority: Normal % Done: 100%
Assignee: skyjake

Category: User experience

Target version:

Description
The soundfont picker currently lacks the ability to show only suitable files.

It also 'appears' to take any file, whether or not Dday actually loads it behind the scenes, leading to the Ul implying to the user that
something different is happening, to what is actually happening.

I'm also not sure that the default being called 'none' isn't also a bit misleading (to me it implies no sound at all); the default could
perhaps be named something like, well, 'default’ (and an option to reset the soundfont to 'default’).

| debate that these things need to be addressed for a stable release (imo of course).

Associated revisions

Revision d1479d12 - 2015-01-27 16:41 - skyjake

Ul|Client: Only allow selecting soundfont files in Audio Settings
Also clarified the language used in the dialog a little.

IssuelD #1951

History

#1 - 2015-01-27 10:25 - vermil

Well, obviously, | meant no music, rather than no sound, above.

#2 - 2015-01-27 10:26 - skyjake

- Tags changed from Ul to Ul, Audio

- Category set to User experience

- Status changed from New to In Progress
- Assignee set to skyjake

- Target version set to 49

#3 - 2015-01-27 16:34 - skyjake
- Status changed from In Progress to Closed

- % Done changed from 0 to 100

#4 - 2015-06-08 10:48 - skyjake
- Target version deleted (49)
